<?php

namespace Mcnd\Event;

use Psr\Container\ContainerInterface;

class Event
{
    public function __construct(
        public string $name,
        public string $class,
        public string $method,
        public \Notes\Attribute $attribute,
    ) {}

    public function execute(ContainerInterface $container, ... $arguments) : mixed
    {
        return $container->make($this->class)->{$this->method}(... $arguments);
    }
}